#! /bin/sh -e
# gnexd_logviewer.sh -- a log file viewer for the gnexd (Nex) server 

# set gnexd log file -- UPDATE THIS FOR LOCAL SYSTEM :
GNXLOG='/var/log/gnexd.log'

# display help info:
usage(){
cat <<EOF

 desc: a log file viewer for the gnexd (Nex) server.

  use: gnexd_logviewer.sh [-h|[date_str]] ; defaults to today

       date_str example: "Jun 21 16:20:00"

   ex: gnexd_logviewer.sh '^Jun 21' => show June 21st logs
       gnexd_logviewer.sh '^Jun'    => show all June logs
       gnexd_logviewer.sh 'DENY'    => show all denied requests

EOF
exit 0
}

# display usage OR set DATE:
case "$1" in
  -*) usage ;;
  '') DATE="^$(date '+%b %d')" ;;
   *) DATE="$1" ;;
esac

# main:
PFMT='%-16s %21s %21s %30s [%s]\n'
printf '\nGnexd server logs matching "%s" :\n\n' "$DATE"
printf "$PFMT" 'Mth DD HH:MM:SS' 'Remote IPv4 & Port' 'Local IPv4 & Port' 'File & Dir Requests:' 'STAT'
awk "/$DATE/" $GNXLOG
echo
